Loading...
Searching...
No Matches
utility_server Class Reference

## Public Member Functions

void | run ()
void | echo_handler (websocketpp::connection_hdl hdl, server::message_ptr msg)
void | run ()

## Detailed Description

Definition at line 42 of file step1.cpp.

## Constructor & Destructor Documentation

## utility_server() [1/2]

utility_server::utility_server | ( |  | ) |

inline

Definition at line 44 of file step1.cpp.

## utility_server() [2/2]

utility_server::utility_server | ( |  | ) |

inline

Definition at line 44 of file step2.cpp.

## Member Function Documentation

## echo_handler()

void utility_server::echo_handler | ( | websocketpp::connection_hdl | hdl,
|  | server::message_ptr | msg )

inline

Definition at line 59 of file step2.cpp.

## run() [1/2]

void utility_server::run | ( |  | ) |

inline

Definition at line 53 of file step1.cpp.

## run() [2/2]

void utility_server::run | ( |  | ) |

inline

Definition at line 64 of file step2.cpp.

The documentation for this class was generated from the following files:

- tutorials/utility_server/step1.cpp
- tutorials/utility_server/step2.cpp